// created  : Fri Mar 08 02:10:31 2002
// argument : tajarmis
// source   : override/tajarmis.dlg
// game     : .
// using    : ./dialog.tlk
// tajarmis : 5 states, 5 trans, 1 state-trigs, 0 trans-trigs, 2 actions

BEGIN tajarmis

IF ~Global("TashiaPlot","GLOBAL",1)~ THEN BEGIN 0 // from:
  SAY ~Ahh, Tassshia, so we meet yet again! Come, have a sit. Let's have a chat, yesss?~ /* #74534 */
  IF ~~ THEN DO ~SetGlobal("TashiaPlot","GLOBAL",2)~ /* #0 */EXTERN tashiaj 18
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY ~Come, boys, let's take this body to the massster!~ /* #74538 */
  IF ~~ THEN DO ~CreateCreatureObjectOffScreen("TASOLD01",Myself,0,0,0)
CreateCreatureObjectOffScreen("TASOLD02",Myself,0,0,0)
Enemy()~ /* #1 */EXIT
END

APPEND tashiaj
IF ~~ THEN BEGIN 18 // from:
  SAY ~Stay away from me, Jarmis!! I have told you before, I will not come back with you! Why do you keep following me!?~ /* #74498 */
  IF ~~ THEN EXTERN tajarmis 1
END
END

APPEND tajarmis
IF ~~ THEN BEGIN 1 // from:
  SAY ~Tssss... You know I cannot do that. Your master's orders were...~ /* #74535 */
  IF ~~ THEN EXTERN tashiaj 19
END
END

APPEND tashiaj
IF ~~ THEN BEGIN 19 // from:
  SAY ~I care not for his orders, and he is not my master! He was... a friend, but he is such no longer! I wish no part of his life now... tell him that, and leave me alone!!~ /* #74499 */
  IF ~~ THEN EXTERN tajarmis 2
END
END

APPEND tajarmis
IF ~~ THEN BEGIN 2 // from:
  SAY ~Tsk tsk tsk... He thought you might be 'uncooperative'. Tell me, Tassshia, you like undeath, yesss?~ /* #74536 */
  IF ~~ THEN EXTERN tashiaj 20
END
END

APPEND tashiaj
IF ~~ THEN BEGIN 20 // from:
  SAY ~Undeath...? What do you mean 'undeath'?~ /* #74500 */
  IF ~~ THEN EXTERN tajarmis 3
END
END

APPEND tajarmis
IF ~~ THEN BEGIN 3 // from:
  SAY ~Ahhhhsssoon you shall find out, then, oh yesss.~ /* #74537 */
  IF ~~ THEN GOTO 4
END
END
